com.amazon.redshift.plugin

## Class AzureIdpHostUtil

- java.lang.Object
- - com.amazon.redshift.plugin.AzureIdpHostUtil

    public class AzureIdpHostUtil
    extends Object

Utility class for Azure IDP host operations. Provides common functionality for Azure credential providers.

### Field Summary

Fields
`static String` `MICROSOFT_CHINA_HOST`
`static String` `MICROSOFT_COMMERCIAL_HOST`
`static String` `MICROSOFT_US_GOV_HOST`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getIdpHostByPartition(String partition)` Gets the appropriate Azure IDP host based on the partition.
`static void` `validatePartition(String partition)` Validates the partition value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MICROSOFT_COMMERCIAL_HOST

    public static final String MICROSOFT_COMMERCIAL_HOST

See Also:
  Constant Field Values

#### MICROSOFT_US_GOV_HOST

    public static final String MICROSOFT_US_GOV_HOST

See Also:
  Constant Field Values

#### MICROSOFT_CHINA_HOST

    public static final String MICROSOFT_CHINA_HOST

See Also:
  Constant Field Values

### Method Detail

#### getIdpHostByPartition

    public static String getIdpHostByPartition(String partition)
                                        throws IllegalArgumentException

Gets the appropriate Azure IDP host based on the partition. The partition value is normalized (trimmed and converted to lowercase) before processing.

Parameters:
  `partition` - The partition identifier (null, "", "commercial", "us-gov", "cn")
Returns:
  The corresponding Azure IDP host URL
Throws:
  `IllegalArgumentException` - if the partition is invalid

#### validatePartition

    public static void validatePartition(String partition)
                                  throws IllegalArgumentException

Validates the partition value.

Parameters:
  `partition` - The partition value to validate
Throws:
  `IllegalArgumentException` - if the partition is invalid